Validate Licenses
The provider must be able to validate the shared licenses for its legitimacy and that it belongs to the customer. Providers must validate the shared licenses via API.
Request
URI
POST
https://eapi.broadcom.com/vcf/license-mgmt/api/v1/tenants/{tenant_id}/licenses/validate
COPY
Request Body
ValidateLicenseRequest
of type(s)
application/json
Optional
"ValidateLicenseRequest Object"
string
site_id
Required
site_id
array of
object
licenses
Required
LicenseToValidate
Responses
200
OK
Returns
ValidateLicenseResponse
of type(s)
application/json
{
"site_id": "string",
"valid_licenses": [
{
"license_id": "string",
"quantity": 0,
"product_name": "string",
"uom": "string",
"end_date": "string"
}
],
"invalid_licenses": [
{
"license_id": "string",
"quantity": 0,
"product_name": "string",
"uom": "string",
"end_date": "string"
}
]
}
string
site_id
Required
site_id
array of
object
valid_licenses
Optional
List of valid licenses
array of
object
invalid_licenses
Optional
List of invalid licenses
401
Unauthorized
Returns
ErrorResponse
of type(s)
application/json
"ErrorResponse Object"
array of
string
parameter_list
Optional
parameter_list
string
message
Optional
message
string
major_error_code
Optional
major_error_code
string
minor_error_code
Optional
minor_error_code
403
Forbidden
Returns
ErrorResponse
of type(s)
application/json
"ErrorResponse Object"
array of
string
parameter_list
Optional
parameter_list
string
message
Optional
message
string
major_error_code
Optional
major_error_code
string
minor_error_code
Optional
minor_error_code
404
Not Found
Returns
ErrorResponse
of type(s)
application/json
"ErrorResponse Object"
array of
string
parameter_list
Optional
parameter_list
string
message
Optional
message
string
major_error_code
Optional
major_error_code
string
minor_error_code
Optional
minor_error_code
500
Internal Server Error
Returns
ErrorResponse
of type(s)
application/json
"ErrorResponse Object"
array of
string
parameter_list
Optional
parameter_list
string
message
Optional
message
string
major_error_code
Optional
major_error_code
string
minor_error_code
Optional
minor_error_code
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '[{}]' https://{api_host}/vcf/license-mgmt/api/v1/tenants/{tenant_id}/licenses/validate
Validate Licenses Operations
POST
Validate Licenses